it-swarm.com.de

Installieren Sie python-wxgtk2.8 unter Ubuntu 16.04

Weiß jemand, wie man python-wxgtk2.8 unter Ubuntu 16.04 installiert?

Wird für die Fahrt benötigt (Robotergerüst)

Danke im Voraus!

11

Wende dich, du bist in der falschen Richtung!

Der richtige Weg ist, mit neuerer Version fortzufahren. Für Seitenpakete wie dieses können Sie jedoch immer Builds aus älteren Releases installieren. Wenn APT keine unerfüllten Abhängigkeiten ausgelöst hat. Getestet auf VBox mit Ubuntu 16.04.

  1. Fügen Sie das benötigte Repository hinzu und aktualisieren Sie die Paketliste

    echo "deb http://archive.ubuntu.com/ubuntu wily main universe" | Sudo tee /etc/apt/sources.list.d/wily-copies.list
    Sudo apt update
    
  2. Es installieren

    Sudo apt install python-wxgtk2.8
    
  3. Entfernen Sie den Repository-Eintrag und aktualisieren Sie die Paketliste erneut

    Sudo rm /etc/apt/sources.list.d/wily-copies.list
    Sudo apt update
    

Hinweis:

Das Befolgen dieser Methode in großem Maßstab kann zu nerfüllter Abhängigkeitshölle führen. Denken Sie also daran, dass dies ähnlich wie bei PPAs ist. Um Probleme mit folgenden Paketen zu lösen, löschen Sie diese:

libgstreamer-plugins-base0.10-0
libgstreamer0.10-0
libwxbase2.8-0
libwxgtk-media2.8-0
libwxgtk2.8-0
python-wxgtk2.8
python-wxversion
13
user.dz

Sie können Pakete aus früheren Versionen unter http://packages.ubuntu.com/ herunterladen. In diesem Fall benötigen Sie http://packages.ubuntu.com/trusty/python-wxgtk2) .8 .

Normalerweise wähle ich die nächstgelegene Ubuntu-Distribution mit den benötigten Paketen und lade diese herunter. Es ist besser, es zu vermeiden, aber manchmal kann man nicht.

4
pbhj

Dadurch konnte das Problem behoben werden

Sudo add-apt-repository ppa:nilarimogard/webupd8

Aktualisieren Sie den Paketindex:

 Sudo apt-get update

Installieren Sie das Deb-Paket python-wxgtk2.8:

Sudo apt-get install python-wxgtk2.8
3
GPrathap